<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <script src="https://cdn.tailwindcss.com"></script>
  <title>Product Modal</title>
</head>
<body>
  <!-- Global Container -->
  <div class="flex justify-center items-center | min-h-screen | bg-slate-100">
    <!-- Card Container -->
      <div class="flex flex-col md:flex-row | m-3 md:m-0 p-6 md:p-16 | 
            space-y-10 md:space-y-0 md:space-x-1 | 
            rounded-2xl shadow-2xl bg-white">
        
        <!-- Image Container -->
        <figure>
          <img src="images/headphones.jpg" alt="Product Image" 
              class="mx-auto w-60 | hover:scale-105 duration-200">
        </figure>
        <!-- Content -->
        <div class="flex flex-col space-y-6">
          <!-- Label & Title Container -->
          <div class="flex flex-col | space-y-3 mb-4 | text-center md:text-left">
            <div>
              <div class="inline-block | px-3 py-1 | rounded-full | 
                      text-sm text-white bg-black">
                Free Shipping
              </div>
            </div>

            <!-- Title -->
            <div class="max-w-sm | text-2xl | font-medium">
              Razer Kraken Edt Gaming Headset Quartz
            </div>
            <!-- Price Container -->
            <div class="flex flex-col | space-y-3 mb-4 | text-center md:text-left">
              <p class="line-through">$799</p>
              <p class="text-5xl font-bold">$599</p>
              <p class="text-sm font-light text-gray-400">
                This offer is valid until April 3rd or as long as stock lasts!
              </p>
            </div>

            <!-- Button Group -->
            <div class="group">
              <button 
                class="w-full | rounded-lg border-b-8 border-b-blue-700 | bg-blue-700 text-white |
                  group-hover:border-t-8 group-hover:border-b-0 |
                  group-hover:bg-blue-700 group-hover:border-t-blue-700
                  group-hover:shadow-lg | transition-all duration-150"
              >
                <div class="px-8 py-4 | rounded-lg | bg-blue-500 | 
                    group-hover:bg-blue-700 | duration-150">Add to cart</div>
              </button>
            </div>

            <!-- Stock -->
            <div class="flex items-center space-x-3 | group">
              <div class="w-3 h-3 | bg-green-400 rounded-full group-hover:animate-ping"></div>
              <div class="text-sm">50+ pcs. in stock</div>
            </div>

            <!-- Bottom Buttons Container -->
            <div class="flex flex-col md:flex-row  |
                    space-y-4 md:space-y-0 md:space-x-4">
              <button class="flex justify-center items-center |
                 py-3 px-5 | space-x-3 | rounded-lg border-2 border-gray-300 |
                 hover:bg-opacity-30 | shadow-sm hover:shadow-lg | 
                 hover:-translate-y-0.5 transition-all duration-150"
              >
                <img src="images/weight.png" alt="" class="w-8"/>
                <span>Add to cart</span>
              </button>

              <button class="flex justify-center items-center |
                 py-3 px-5 | space-x-3 | rounded-lg border-2 border-gray-300 |
                 hover:bg-opacity-30 | shadow-sm hover:shadow-lg | 
                 hover:-translate-y-0.5 transition-all duration-150"
              >
                <img src="images/heart.png" alt="" class="w-8"/>
                <span>Add to wishlist</span>
              </button>

            </div>

          </div>
        </div>
      </div>
  </div>
</body>
</html>